> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Trust Center subprocessor

> Updates a subprocessor on a Trust Center.



## OpenAPI

````yaml /reference/manage-vanta.json patch /trust-centers/{slugId}/subprocessors/{subprocessorId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/subprocessors/{subprocessorId}:
    patch:
      tags:
        - Trust Centers
      summary: Update Trust Center subprocessor
      description: Updates a subprocessor on a Trust Center.
      operationId: UpdateTrustCenterSubprocessor
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
        - in: path
          name: subprocessorId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditTrustCenterSubprocessorInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrustCenterSubprocessor'
              examples:
                Example 1:
                  value:
                    id: a2f7e1b9d0c3f4e5a6c7b8d9
                    name: Acme, Inc.
                    description: This is the description for the subprocessor.
                    location: US, EU
                    purpose: Cloud infrastructure
                    url: acme.com
      security:
        - bearerAuth: []
components:
  schemas:
    EditTrustCenterSubprocessorInput:
      properties:
        description:
          type: string
          nullable: true
          description: >-
            What to set the subprocessor description to. If null is passed in,
            the

            subprocessor's current description is unset.
        location:
          type: string
          nullable: true
          description: |-
            What to set the subprocessor location to. If null is passed in, the
            subprocessor's current description is unset.
        purpose:
          type: string
          nullable: true
          description: |-
            What to set the subprocessor purpose to. If null is passed in, the
            subprocessor's current description is unset.
      type: object
      additionalProperties: false
    TrustCenterSubprocessor:
      properties:
        id:
          type: string
          description: Unique identifier for the subprocessor.
        name:
          type: string
          description: Name of the subprocessor.
        description:
          type: string
          nullable: true
          description: Description of the subprocessor.
        location:
          type: string
          nullable: true
          description: Where this subprocessor is deployed.
        purpose:
          type: string
          nullable: true
          description: The purpose that the subprocessor serves.
        url:
          type: string
          nullable: true
          description: URL of the subprocessor.
      required:
        - id
        - name
        - description
        - location
        - purpose
        - url
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````